/*
Пример использования
Получение списка политик безопасности по умолчанию
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_sdn_default_security_policy_list" "policy_list" {
  #id группы доступа
  #опциональный параметр
  #тип - строка
  #access_group_id = "a1b2c3d4-e5f6-7890-g1h2-i3j4k5l6m7n8"

  #номер страницы результата
  #опциональный параметр
  #тип - целое число
  #page = 1

  #количество результатов на странице
  #опциональный параметр
  #тип - целое число
  #per_page = 2

  #сортировка по одному из поддерживаемых полей
  #опциональный параметр
  #тип - строка
  #возможные значения - created_at, updated_at
  #sort_by = "created_at"

  #порядок сортировки
  #опциональный параметр
  #тип - строка
  #возможные значения - asc, desc
  #sort_order = "asc"
}

output "test" {
  value = data.decort_sdn_default_security_policy_list.policy_list
}

